Subject: bug#30609: 26.0.91; underline should be drawn behind text

From: Eli Zaretskii <[email-masked]>
Date: Mon, 26 Feb 2018 17:46:05 +0200

> From: Aaron Jensen <[email-masked]>
> Date: Sun, 25 Feb 2018 19:46:55 -0800
> 
> It seems like there's a bit more to this than I thought. It looks like
> ns_draw_glyph_string_foreground sometimes draws the background too,
> covering the underline. It didn't do this with emacs -Q, but it did
> with my config. It seems like I'd need to actually draw the background
> separately, then the underline, then the glyph above. Any thoughts
> about this or other suggestions?

Yes, this is what I feared, and that's why I think simply switching
the order will not give good results.